/***
 * Juliac
 * Copyright (C) 2012 Inria, Univ. Lille 1
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@ow2.org
 *
 * Author: Lionel Seinturier
 */

package org.objectweb.fractal.juliac.compile.janino;

import java.util.logging.Logger;

import org.codehaus.commons.compiler.Location;
import org.codehaus.janino.WarningHandler;
import org.objectweb.fractal.juliac.Juliac;
import org.objectweb.fractal.juliac.conf.JuliacConfig;

/**
 * An implementation of the Janino WarningHandler interface.
 * 
 * @author Lionel Seinturier <Lionel.Seinturier@univ-lille1.fr>
 * @since 2.5
 */
public class WarningHandlerImpl implements WarningHandler {
	
	private Juliac jc;
	
	public WarningHandlerImpl( Juliac jc ) {
		this.jc = jc;
	}

    public void handleWarning(
		String handle, String message, Location optionalLocation ) {
    	
        JuliacConfig jconf = jc.getJuliacConfig();
    	Logger logger = jconf.getCompilationLogger();
    	
    	String msg = handle+": "+message+": "+optionalLocation;
    	logger.warning(msg);
    }
}
